Description

When I calculate areas, it would be useful to specify directly the unit type I want in my field.

The way I see it working is this : $area(unit)

Where "unit" is a unit abbreviation, say km, m, ha, etc.

I always find transferring square meters to other units with calculations cumbersome as I have a hard time remembering how much I

should divide or multiply values.

Thanks !

Associated revisions

Revision 9f772bce - 2016-02-13 01:36 AM - Nyall Dawson

Add API call for setting preferred distance unit for QgsExpression

(refs #13209, #12939, #4857)

Revision ddbdcf8a - 2016-02-14 11:04 AM - Nyall Dawson

Fix project unit confusion (pt 2): add project distance unit setting

Adds a new option in project properties to set the units used for

distance measurements. This setting defaults to the units set in

QGIS options, but can then be overridden for specific projects.

The setting is respected for length and perimeter calculations in:

- Attribute table field update bar

- Field calculator calculations

- Identify tool derived length and perimeter values

- Default unit shown in measure dialog

Also adds unit tests to ensure that length and perimeter calculated

by attribute table update bar, field calculator and identify tool

are consistent wrt ellipsoidal calculations and distance units.

(refs #13209, #12939, #2402, #4857, #4252)
Revision dfdcec89 - 2016-02-15 02:47 AM - Nyall Dawson

Fix project unit confusion (pt 3): add area unit settings with a

ton of available area units (eg m2, km2, mi2, ft2, yd2, ha, ac,

etc)

Adds a new option in both the QGIS setting and project properties to

set the units used for area measurements. Just like the distance

setting, this defaults to the units set in QGIS options, but can

then be overridden for specific projects.

The setting is respected for area calculations in:

- Attribute table field update bar

- Field calculator calculations

- Identify tool derived length and perimeter values

Also adds unit tests to ensure that area calculated by attribute table

update bar, field calculator and identify tool are consistent wrt

ellipsoidal calculations and area units.

TODO: make measure tool respect area setting

(refs #13209, #4252 and fixes #12939, #2402, #4857)

History

#1 - 2012-02-28 04:04 AM - Paolo Cavallini

This is partly implemented in fTools now.

#2 - 2012-02-28 02:02 PM - Alister Hood

Also see #4078: Enable CRS conversion in field calculator

#3 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#4 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-05-29 11:27 AM - Antonio Locandro

Units would be nice to have also in the Output Preview, that way I would know

$area

Output preview - 10 m

Then I could decide I want ft instead then using something like

$area(ft)
Output preview - 3.04803706413 ft

#6 - 2016-02-14 06:53 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"dfdcec89223d4167850c7ebbb0af1d65c21135f8".
